Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.stat.descriptive
Class StatisticalSummaryValues

    java.lang.Object
      org.apache.commons.math3.stat.descriptive.StatisticalSummaryValues

All Implemented Interfaces:
  Serializable, StatisticalSummary

    public class StatisticalSummaryValues

extends Object
implements Serializable, StatisticalSummary

Value object representing the results of a univariate statistical summary.

Version:
  $Id: StatisticalSummaryValues.java 1416643 2012-12-03 19:37:14Z tn $
See Also:
  Serialized Form

Constructor Summary
`StatisticalSummaryValues(double mean, double variance, long n, double max, double min, double sum)` Constructor

Method Summary
`boolean` | `equals(Object object)` Returns true iff `object` is a `StatisticalSummaryValues` instance and all statistics have the same values as this.
`double` | `getMax()` Returns the maximum of the available values
`double` | `getMean()` Returns the arithmetic mean of the available values
`double` | `getMin()` Returns the minimum of the available values
`long` | `getN()` Returns the number of available values
`double` | `getStandardDeviation()` Returns the standard deviation of the available values.
`double` | `getSum()` Returns the sum of the values that have been added to Univariate.
`double` | `getVariance()` Returns the variance of the available values.
`int` | `hashCode()` Returns hash code based on values of statistics
`String` | `toString()` Generates a text report displaying values of statistics.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatisticalSummaryValues

    public StatisticalSummaryValues(double mean,
                                    double variance,
                                    long n,
                                    double max,
                                    double min,
                                    double sum)

  Constructor

  Parameters:
    `mean` - the sample mean
    `variance` - the sample variance
    `n` - the number of observations in the sample
    `max` - the maximum value
    `min` - the minimum value
    `sum` - the sum of the values

Method Detail

### getMax

    public double getMax()

  Description copied from interface: `StatisticalSummary`
  Returns the maximum of the available values

  Specified by:
    `getMax` in interface `StatisticalSummary`
  Returns:
    Returns the max.

### getMean

    public double getMean()

  Description copied from interface: `StatisticalSummary`
  Returns the arithmetic mean of the available values

  Specified by:
    `getMean` in interface `StatisticalSummary`
  Returns:
    Returns the mean.

### getMin

    public double getMin()

  Description copied from interface: `StatisticalSummary`
  Returns the minimum of the available values

  Specified by:
    `getMin` in interface `StatisticalSummary`
  Returns:
    Returns the min.

### getN

    public long getN()

  Description copied from interface: `StatisticalSummary`
  Returns the number of available values

  Specified by:
    `getN` in interface `StatisticalSummary`
  Returns:
    Returns the number of values.

### getSum

    public double getSum()

  Description copied from interface: `StatisticalSummary`
  Returns the sum of the values that have been added to Univariate.

  Specified by:
    `getSum` in interface `StatisticalSummary`
  Returns:
    Returns the sum.

### getStandardDeviation

    public double getStandardDeviation()

  Description copied from interface: `StatisticalSummary`
  Returns the standard deviation of the available values.

  Specified by:
    `getStandardDeviation` in interface `StatisticalSummary`
  Returns:
    Returns the standard deviation

### getVariance

    public double getVariance()

  Description copied from interface: `StatisticalSummary`
  Returns the variance of the available values.

  Specified by:
    `getVariance` in interface `StatisticalSummary`
  Returns:
    Returns the variance.

### equals

    public boolean equals(Object object)

  Returns true iff `object` is a `StatisticalSummaryValues` instance and all statistics have the same values as this.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `object` - the object to test equality against.
  Returns:
    true if object equals this

### hashCode

    public int hashCode()

  Returns hash code based on values of statistics

  Overrides:
    `hashCode` in class `Object`
  Returns:
    hash code

### toString

    public String toString()

  Generates a text report displaying values of statistics. Each statistic is displayed on a separate line.

  Overrides:
    `toString` in class `Object`
  Returns:
    String with line feeds displaying statistics

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.